echo off
rem TIMEREST.BAT - restores Office Time Manager .CBU / .DBU files
rem                back into the ISAM database file YEARLY.OTM or
rem                will restore the ENTIRE YEARLY.OTM file from the
rem                backup file YEARLY.BKP based on the inputted parm.
rem
rem                The .CBU / .DBU files are created during the 
rem                Office Time Manager Delete a Person function and
rem                the Start a New Year function.
rem
rem                CBU = Control data 
rem                DBU = Detail data
cls
if %1!==! goto help
if %1==ALL goto allfile
if %1==all goto allfile
if not exist %1.CBU goto notcbu
if not exist %1.DBU goto notdbu
echo Restoring %1.CBU file
ISAMIO /I %1.CBU YEARLY.OTM ControlRec /A
echo Restoring %1.DBU file
ISAMIO /I %1.DBU YEARLY.OTM DetailRec /A
goto end
:allfile
if not exist YEARLY.OTM goto notvac
if not exist YEARLY.BKP goto notbkp
echo Restoring YEARLY.OTM from backup file YEARLY.BKP
copy yearly.bkp yearly.otm
goto end
:help
echo %0.BAT syntax is:
echo        %0 ALL - will restore entire YEARLY.OTM from backup.
echo        %0 ??? - where ??? is the name of .CBU/.DBU files
echo                 to be restored.
goto end
:notcbu
echo %1.CBU file NOT FOUND - Restore Aborted
goto end
:notdbu
echo %1.DBU file NOT FOUND - Restore Aborted
goto end
:notvac
echo YEARLY.OTM file NOT FOUND - Restore Aborted
goto end
:notbkp
echo YEARLY.BKP file NOT FOUND - Restore Aborted
:end
